#
# spec file for package nagios-plugins-rbl (Version 1.1)
#
#

# norootforbuild


Name:           nagios-plugins-rbl
Summary:        Check is the host is on any of the public email blacklists
Version:        1.1
Release:        2.1
Url:            http://nagiosexchange.altinity.org/nagiosexchange/check_rbl/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:	check_rbl

BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
Check is the host is on any of the public email blacklists.

This plugin takes a single argument - the IP address of the mail server.
It then checks on several public email spam blacklists (Spamhaus, SORBS, SpamCop, etc )
to see if the host is listed.
A critical appears if it is listed anywhere, along with links to the service websites.

This plugin is written in Perl.

Authors:
--------
    Steve Shipway

%prep

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%libexecdir/check_rbl

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/check_rbl

%changelog
* Sun Mar 15 2009 Carsten Schoene <cs@linux-administrator.com>
- initial release
